<ion-content padding class="background" [fullscreen]="true">
  
<div class="log">
  <h2>Sign Up</h2>
  <ion-card>
    <ion-card-header>
      <ion-card-title class="title"><b>e-balita</b></ion-card-title>
    </ion-card-header>
  <form class="form" [formGroup]="userForm" (ngSubmit)="signUp(userForm.value)">
    <ion-item>
      <ion-label position="floating">Email</ion-label>
      <ion-input type="text" formControlName="email"></ion-input>
    </ion-item>
    
    <ng-container *ngFor="let error of error_msg.email">
      <div *ngIf="userForm.get('email').hasError(error.type) && (userForm.get('email').dirty || userForm.get('email').touched)">
        {{ error.message }}
      </div>
    </ng-container>

    <ion-item>
      <ion-label position="floating" color="primary">Password</ion-label>
      <ion-input type="password" formControlName="password" class="form-controll" required></ion-input>
    </ion-item>
    
    <ng-container *ngFor="let error of error_msg.password">
        <div *ngIf="userForm.get('password').hasError(error.type) && (userForm.get('password').dirty || userForm.get('password').touched)">
          {{ error.message }}
        </div>
    </ng-container>

    <ion-button type="submit" expand="block" [disabled]="!userForm.valid">Register</ion-button>
    
    <label class="ion-text-center" color="danger">{{errorMsg}}</label>
    <label class="ion-text-center" color="success">{{successMsg}}</label>
  </form>
  <p class="ion-text-center">Already registered? <a (click)="goToLogin()">Login</a></p>
</ion-card>
</div>
</ion-content>